summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon van der Veldt <simon.vanderveldt+gentoo@gmail.com>2021-05-01 20:50:01 +0200
committerMatt Turner <mattst88@gentoo.org>2021-05-08 09:03:04 -0700
commit3ef5b680c65973c26199010dda6ad1cef3143176 (patch)
treec2de760d2f0cf3df8e31b18f6fdcdd84f6b55162 /sys-firmware/sof-firmware
parentdev-lang/swi-prolog: switch to cmake.eclass. Bug 780366. (diff)
downloadgentoo-3ef5b680c65973c26199010dda6ad1cef3143176.tar.gz
gentoo-3ef5b680c65973c26199010dda6ad1cef3143176.tar.bz2
gentoo-3ef5b680c65973c26199010dda6ad1cef3143176.zip
sys-firmware/sof-firmware: Bump to 1.6.1
Closes: https://bugs.gentoo.org/777537 Closes: https://github.com/gentoo/gentoo/pull/20638 Signed-off-by: Simon van der Veldt <simon.vanderveldt+gentoo@gmail.com> Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'sys-firmware/sof-firmware')
-rw-r--r--sys-firmware/sof-firmware/Manifest1
-rw-r--r--sys-firmware/sof-firmware/sof-firmware-1.6.1.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/sys-firmware/sof-firmware/Manifest b/sys-firmware/sof-firmware/Manifest
index 8136efa9916..3de67a4258f 100644
--- a/sys-firmware/sof-firmware/Manifest
+++ b/sys-firmware/sof-firmware/Manifest
@@ -13,3 +13,4 @@ DIST sof-firmware-1.4.2-sof-icl-v1.4.2.ri 286720 BLAKE2B 1acbfb116be92f6934980ac
DIST sof-firmware-1.4.2-sof-imx8.ldc 60848 BLAKE2B a17be83147fa58eb71698e9d7306d918e398097b9935e3a2160056a49b78ef2dcbd01d2984853813b4628e6f2810bf7ab7f5e82b0e5f804c4fd671ed37042b06 SHA512 42c548368de0eee13e95a303ccea051a4909a3e47ee497c4c7ea304778d1518723ccd4ccebdd6588c58990bf3cb18ea310cfa05025e4ba9b9b28faccbff5bb2a
DIST sof-firmware-1.4.2-sof-imx8.ri 115472 BLAKE2B ffb9fabdb388354b409881489594c411cc3c0fcbabb05688585696ad7b15f4a54a3f2786df811217b81cff210088e7e67ef1ae5e54c3e4e7827c69aa32ca5f87 SHA512 86e267cdd8fe835bdab7e082f0e9c527e8283757759c70069af52d4e23440439565380b10011fb746afed13a3fb2f1aadcaf54e45740b08b40a1f5455b57e05b
DIST sof-firmware-1.5.1.tar.gz 1611811 BLAKE2B 7408ba12f1375cb3d6c20e1654be225e8ab11e8b1471c54bd0a498ed1fad11954c57f68a7e483223117c5469278507b1d05e077420a1f58efb2eb0d2b4e95078 SHA512 0e3273f681dc3c0ee075bfb10e689e7ae8d8c0604f9d849f5bd991793d272e06ce7664a0b5829a9b93993d0576683824ee0ac5f8d1efe0b94a705a3e7ae34903
+DIST sof-firmware-1.6.1.tar.gz 3033953 BLAKE2B 0c33bd9a5d17c3b889219bf926d3619e3e448ff6b16e39b4caffe19e87c98d1227b303ebe80d185f93480ead29f37de39093f3e76f275df7836d3250ae47c566 SHA512 71acd34662ffd4d93f6111dfd046ed358184fdf24d0e118da43770aeee45bd15105b688bc5a569f2cb7941724ec822d2cfbab8a08e9caee1a77aa5763ac7b48e
diff --git a/sys-firmware/sof-firmware/sof-firmware-1.6.1.ebuild b/sys-firmware/sof-firmware/sof-firmware-1.6.1.ebuild
new file mode 100644
index 00000000000..d62dacb9004
--- /dev/null
+++ b/sys-firmware/sof-firmware/sof-firmware-1.6.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Sound Open Firmware (SOF) binary files"
+
+HOMEPAGE="https://www.sofproject.org https://github.com/thesofproject/sof https://github.com/thesofproject/sof-bin"
+SRC_URI="https://github.com/thesofproject/sof-bin/archive/stable-v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE=""
+
+S=${WORKDIR}/sof-bin-stable-v${PV}
+
+src_compile() {
+ sed -i -e '1i #!/bin/bash\nset -e' go.sh || die
+}
+
+src_install() {
+ mkdir -p "${D}/lib/firmware/intel" || die
+ SOF_VERSION=v${PV} ROOT=${D} ${S}/go.sh || die
+}